package client

import (
	"git.loafle.net/commons_go/rpc"
	crc "git.loafle.net/commons_go/rpc/client"
	"git.loafle.net/commons_go/rpc/protocol/json"
)

func NewClientHandler(registry rpc.Registry) ClientHandler {
	ch := &ClientHandlers{}
	ch.RPCRegistry = registry
	ch.Codec = json.NewClientCodec()

	return ch
}

type ClientHandlers struct {
	crc.ClientHandlers
}
