package server

import (
	"git.loafle.net/commons_go/rpc"
	"git.loafle.net/commons_go/rpc/server"
)

func newRPCServletHandler(rpcRegistry rpc.Registry) server.ServletHandler {
	sh := &RPCServletHandlers{}
	sh.RPCRegistry = rpcRegistry

	return sh
}

type RPCServletHandlers struct {
	server.ServletHandlers
}

func (sh *RPCServletHandlers) Validate() {
	sh.ServletHandlers.Validate()

}
